Subject: Re: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Michael Albinus <[email-masked]>
Date: Tue, 13 Jul 2021 19:53:24 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> >> I'm OK with another user option to disable it, it doesn't matter too
>> >> much. But I'm not sure whether we shall disable it by default: nobody(*)
>> >> will enable it ever, and all the effort would be wasted.
>> >
>> > Now _I_ am confused: didn't you say that we _should_ disable it by
>> > default for remote files, because that was how Emacs worked until now?
>> > Or what did I miss?
>>
>> No. I meant we shall provide the *possibility* to disable it, because it
>> didn't exist before.
>
> Ah, okay.  I only said it should be disabled by default because I
> thought that was what you suggested.  I have no problem whatsoever to
> have remote locking enabled by default.

Finally, I've added `remote-file-name-inhibit-locks'. The name shall
look similar to the existing `remote-file-name-inhibit-cache'.

Best regards, Michael.